<?php
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';
only_reg();
err();
$set['title']='Граффити на стену';
include_once '../../sys/inc/thead.php';
title();
aut();

if (!isset($_POST['uid']) || !is_numeric($_POST['uid']))
{
header("Location: select.php");
exit;
}

$x = intval($_POST['x']);
$y = intval($_POST['y']);
$fon = htmlspecialchars(trim($_POST['fon']));
$uid = intval($_POST['uid']);
$ank = get_user($uid);

echo '<div class="mdlc2">
<span>Граффити на стену</span>
<br /></div>
<div class="menu">
&raquo; Размер изображения: '.$x.'x'.$y.' <br />
<center><img src="resize.php?img='.$fon.'&amp;x='.$x.'&amp;y='.$y.'&amp;q='.time().'" alt="" /></center>
<hr />
&raquo; Шаг 4: <br />
&raquo; Добавление надписи: <br />
<form action="5.php" method="post">
<input type="hidden" name="x" value="'.$x.'">
<input type="hidden" name="y" value="'.$y.'">
<input type="hidden" name="fon" value="'.$fon.'">
<input type="hidden" name="uid" value="'.$ank['id'].'">

<select size="1" name="font" class="q">';

$open = @opendir('./fonts');
while($r = @readdir($open)) {
if($r[0]!= '.') {
$ext = strrchr($r, '.');
$er = str_replace($ext, '', $r);
echo '<option value="'.$r.'">'.$er.'</option>';
}
} @closedir($open);


echo '</select> <br />
&raquo; Размер: <br />
<select size="1" name="fsize" class="q">';

for($i=1; $i<=74; $i++) {
echo '<option value="'.$i.'">'.$i.'</option>';
}

echo '</select> <br />
&raquo; Цвет: <br />
R<input type="text" name="rgbr" value="255" size="3" class="q"> G<input type="text" name="rgbg" value="255" size="3" class="q"> B<input type="text" name="rgbb" value="255" size="3" class="q">
<br />
&raquo; Расположение: <br />
&raquo; По x: <input type="text" name="textx" size="4" value="75"> <br />
&raquo; По y: <input type="text" name="texty" size="4" value="25"> <br />
&raquo; Поворот текста: <br />
&raquo; Градусов: <input type="text" name="arrg" size="3" class="q"> <br />
&raquo; Надпись: <br />
<input type="text" name="text" class="q"> <br />
<input type="checkbox" name="pp" value="1" class="q"> Полупрозрачность текста<br />
<input type="checkbox" name="sh" value="1" class="q"> Добавить тень<br />
<input type="submit" name="go" value="Далее" class="q">
</form>
</span>
';
echo "<div class='p_t'>&raquo; <a href='/info.php?id=$ank[id]'>На страницу ";
echo GradientText("$ank[nick]", "$ank[ncolor]", "$ank[ncolor2]");
echo "</a></div>";
include_once '../../sys/inc/tfoot.php';
?>